--require "math"

local first_order = "f"
local first_number = 6

local num_techs = 5

for i=0, num_techs-1 do
  data:extend{
  {
      type = "technology",
      name = "logistic-robot-speed-" .. first_number + i,
      icon = "__base__/graphics/technology/logistic-robot-speed.png",
      effects = {
	{
	  type = "logistic-robot-speed",
	  modifier = "0.65"
	}
      },
      prerequisites = {
	"logistic-robot-speed-"..first_number + i - 1
      },
      unit = {
	count = 500 * math.pow(2,i+1),
	ingredients = {
	  {"alien-science-pack", 1},
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1}
	},
	time = 60
      },
      upgrade = "true",
      order = "c-k-f-" .. string.char(string.byte(first_order)+i)
    },
  }
end
